summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-01-06 23:13:57 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-01-06 23:13:57 +0000
commita8b0d35ab742f31538d515dea39716e566d533c0 (patch)
tree40c6c87a13f0e5ef1111ed1bdd9191f3bd1c1e59 /eclass
parent8fcdcec5fbdd0e3a77391e4f354218014f59f358 (diff)
gentoo resync : 06.01.2018
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin41202 -> 41191 bytes
-rw-r--r--eclass/chromium-2.eclass16
-rw-r--r--eclass/toolchain.eclass19
-rw-r--r--eclass/virtualx.eclass29
4 files changed, 21 insertions, 43 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 4b20b08a5c7f..e2a21e4f679c 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/chromium-2.eclass b/eclass/chromium-2.eclass
index 699308304a48..64f5ee9bc833 100644
--- a/eclass/chromium-2.eclass
+++ b/eclass/chromium-2.eclass
@@ -71,10 +71,7 @@ chromium_remove_language_paks() {
# Look for missing pak files.
for lang in ${CHROMIUM_LANGS}; do
if [[ ! -e ${lang}.pak ]]; then
- # https://bugs.gentoo.org/583762
- if [[ ${lang} != sr-ME || ! -e me.pak ]]; then
- eqawarn "L10N warning: no .pak file for ${lang} (${lang}.pak not found)"
- fi
+ eqawarn "L10N warning: no .pak file for ${lang} (${lang}.pak not found)"
fi
done
@@ -90,20 +87,11 @@ chromium_remove_language_paks() {
continue
fi
- # https://bugs.gentoo.org/583762
- if [[ ${lang} == me ]]; then
- if ! has sr-ME ${CHROMIUM_LANGS}; then
- eqawarn "L10N warning: no sr-ME in LANGS"
- elif ! use l10n_sr-ME; then
- rm "${pak}" || die
- fi
- continue
- fi
-
if ! has ${lang} ${CHROMIUM_LANGS}; then
eqawarn "L10N warning: no ${lang} in LANGS"
continue
fi
+
if ! use l10n_${lang}; then
rm "${pak}" || die
fi
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 36d344012d44..7fc4c70652f3 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -23,14 +23,13 @@ fi
FEATURES=${FEATURES/multilib-strict/}
-EXPORTED_FUNCTIONS="pkg_setup src_unpack src_compile src_test src_install pkg_postinst pkg_postrm"
case ${EAPI:-0} in
- 0|1) die "Need to upgrade to at least EAPI=2";;
- 2|3) EXPORTED_FUNCTIONS+=" src_prepare src_configure" ;;
- 4*|5*) EXPORTED_FUNCTIONS+=" pkg_pretend src_prepare src_configure" ;;
- *) die "I don't speak EAPI ${EAPI}."
+ 0|1|2|3) die "Need to upgrade to at least EAPI=4" ;;
+ 4*|5*) ;;
+ *) die "I don't speak EAPI ${EAPI}." ;;
esac
-EXPORT_FUNCTIONS ${EXPORTED_FUNCTIONS}
+EXPORT_FUNCTIONS pkg_pretend pkg_setup src_unpack src_prepare src_configure \
+ src_compile src_test src_install pkg_postinst pkg_postrm
#---->> globals <<----
@@ -390,10 +389,6 @@ toolchain_pkg_pretend() {
#---->> pkg_setup <<----
toolchain_pkg_setup() {
- case ${EAPI} in
- 2|3) toolchain_pkg_pretend ;;
- esac
-
# we dont want to use the installed compiler's specs to build gcc
unset GCC_SPECS
unset LANGUAGES #265283
@@ -998,7 +993,7 @@ toolchain_src_configure() {
--disable-threads
--without-headers
)
- elif built_with_use --hidden --missing false ${CATEGORY}/${needed_libc} crosscompile_opts_headers-only ; then
+ elif has_version "${CATEGORY}/${needed_libc}[crosscompile_opts_headers-only(-)]" ; then
confgcc+=(
"${confgcc_no_libc[@]}"
--with-sysroot="${PREFIX}"/${CTARGET}
diff --git a/eclass/virtualx.eclass b/eclass/virtualx.eclass
index d66149b70bae..38e629eef4fe 100644
--- a/eclass/virtualx.eclass
+++ b/eclass/virtualx.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: virtualx.eclass
@@ -11,17 +11,17 @@
if [[ ! ${_VIRTUAL_X} ]]; then
case "${EAPI:-0}" in
- 0|1)
+ 0|1|2|3)
die "virtualx.eclass: EAPI ${EAPI} is too old."
;;
- 2|3|4|5|6)
+ 4|5|6)
;;
*)
die "virtualx.eclass: EAPI ${EAPI} is not supported yet."
;;
esac
-[[ ${EAPI} == [2345] ]] && inherit eutils
+[[ ${EAPI} == [45] ]] && inherit eutils
# @ECLASS-VARIABLE: VIRTUALX_REQUIRED
# @DESCRIPTION:
@@ -57,7 +57,7 @@ case ${VIRTUALX_REQUIRED} in
RDEPEND=""
;;
optional|tests)
- [[ ${EAPI} == [2345] ]] \
+ [[ ${EAPI} == [45] ]] \
|| die 'Values "optional" and "tests" for VIRTUALX_REQUIRED are banned in EAPI > 5'
# deprecated section YAY.
eqawarn "VIRTUALX_REQUIRED=optional and VIRTUALX_REQUIRED=tests are deprecated."
@@ -90,12 +90,12 @@ esac
virtualmake() {
debug-print-function ${FUNCNAME} "$@"
- [[ ${EAPI} == [2345] ]] \
+ [[ ${EAPI} == [45] ]] \
|| die "${FUNCNAME} is unsupported in EAPI > 5, please use virtx"
# backcompat for maketype
if [[ -n ${maketype} ]]; then
- [[ ${EAPI} == [2345] ]] || die "maketype is banned in EAPI > 5"
+ [[ ${EAPI} == [45] ]] || die "maketype is banned in EAPI > 5"
eqawarn "ebuild is exporting \$maketype=${maketype}"
eqawarn "Ebuild should be migrated to use 'virtx command' instead."
VIRTUALX_COMMAND=${maketype}
@@ -205,13 +205,8 @@ virtx() {
# Do not break on error, but setup $retval, as we need
# to kill Xvfb
debug-print "${FUNCNAME}: $@"
- if has "${EAPI}" 2 3; then
- "$@"
- retval=$?
- else
- nonfatal "$@"
- retval=$?
- fi
+ nonfatal "$@"
+ retval=$?
# Now kill Xvfb
kill $(cat /tmp/.X${XDISPLAY}-lock)
@@ -229,7 +224,7 @@ virtx() {
Xmake() {
debug-print-function ${FUNCNAME} "$@"
- [[ ${EAPI} == [2345] ]] \
+ [[ ${EAPI} == [45] ]] \
|| die "${FUNCNAME} is unsupported in EAPI > 5, please use 'virtx emake -j1 ....'"
eqawarn "you should not execute make directly"
@@ -243,7 +238,7 @@ Xmake() {
Xemake() {
debug-print-function ${FUNCNAME} "$@"
- [[ ${EAPI} == [2345] ]] \
+ [[ ${EAPI} == [45] ]] \
|| die "${FUNCNAME} is unsupported in EAPI > 5, please use 'virtx emake ....'"
VIRTUALX_COMMAND="emake" virtualmake "$@"
@@ -255,7 +250,7 @@ Xemake() {
Xeconf() {
debug-print-function ${FUNCNAME} "$@"
- [[ ${EAPI} == [2345] ]] \
+ [[ ${EAPI} == [45] ]] \
|| die "${FUNCNAME} is unsupported in EAPI > 5, please use 'virtx econf ....'"
VIRTUALX_COMMAND="econf" virtualmake "$@"